<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" xmlns:scilab="http://www.scilab.org" xml:id="CMPS_GenRelSensor">
    <refnamediv>
        <refname>CMPS_GenRelSensor</refname>
        <refpurpose>CMPS_GenRelSensor Coselica block</refpurpose>
    </refnamediv>
    <refsection>
        <title>Block Screenshot</title>
        <para>
            <inlinemediaobject>
                <imageobject>
                    <imagedata fileref="../../../../images/gif/CMPS_GenRelSensor.gif" align="center" valign="middle"/>
                </imageobject>
            </inlinemediaobject>
        </para>
    </refsection>
    <refsection id="Description_CMPS_GenRelSensor">
        <title>Description</title>
        <para>
            Generic Relative Sensor
        </para>
    </refsection>
    <refsection id="Palette_CMPS_GenRelSensor">
        <title>Palette</title>
        <itemizedlist>
            <listitem>
                <para>
                    <link linkend="Mechanics_Planar_pal">Mechanics_Planar - Coselica toolbox</link>
                </para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Defaultproperties_CMPS_GenRelSensor">
        <title>Block Model / Default properties</title>
        <itemizedlist>
            <listitem>
                <para>
                    <emphasis role="bold">Inputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'frame_a'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Planar type).
                        </para>
                    </listitem>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'frame_b'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Mechanics Planar type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
            <listitem>
                <para>
                    <emphasis role="bold">Outputs :</emphasis>
                </para>
                <itemizedlist>
                    <listitem>
                        <para>
                            <emphasis role="bold">Modelica variable name :</emphasis> 'y'
                        </para>
                        <para>
                            <emphasis role="bold">Implicit</emphasis> variable (Value type).
                        </para>
                    </listitem>
                </itemizedlist>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Interfacingfunction_CMPS_GenRelSensor">
        <title>Interfacing function</title>
        <itemizedlist>
            <listitem>
                <para>CMPS_GenRelSensor.sci</para>
            </listitem>
        </itemizedlist>
    </refsection>
    <refsection id="Modelicamodel_CMPS_GenRelSensor">
        <title>Modelica model</title>
        <itemizedlist>
            <listitem>
                <para>Coselica.Mechanics.Planar.Sensors.RelPosition in COSELICA/macros/Coselica.mo file</para>
            </listitem>
        </itemizedlist>
    </refsection>
</refentry>
